cascading.flow.planner.rule

## Class RuleSetExec

- java.lang.Object
- - cascading.flow.planner.rule.RuleSetExec

-     public class RuleSetExec
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Comparator<RuleResult>` | `DEFAULT_PLAN_COMPARATOR`
    `static int` | `DEFAULT_TIMEOUT`
    `static int` | `MAX_CONCURRENT_PLANNERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetExec(TraceWriter traceWriter, FlowPlanner flowPlanner, Flow flow, RuleRegistrySet registrySet, FlowDef flowDef, FlowElementGraph flowElementGraph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `binResult(RuleResult ruleResult)`
    `protected java.util.concurrent.Callable<RuleResult>` | `createCallable(RuleRegistry ruleRegistry)`
    `protected java.util.List<java.util.concurrent.Callable<RuleResult>>` | `createCallables()`
    `RuleResult` | `exec()`
    `protected RuleResult` | `execPlannerFor(RuleRegistry ruleRegistry)`
    `protected ProcessLogger` | `getFlowLogger()`
    `protected java.util.Comparator<RuleResult>` | `getOrderComparator()`
    `protected java.util.Comparator<RuleResult>` | `getPlanComparator()`
    `protected java.util.Set<java.util.concurrent.Future<RuleResult>>` | `submitCallables(java.util.List<java.util.concurrent.Callable<RuleResult>> callables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_CONCURRENT_PLANNERS

          public static final int MAX_CONCURRENT_PLANNERS

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final int DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_PLAN_COMPARATOR

          public static final java.util.Comparator<RuleResult> DEFAULT_PLAN_COMPARATOR

  - ### Constructor Detail

    - #### RuleSetExec

          public RuleSetExec(TraceWriter traceWriter,
                     FlowPlanner flowPlanner,
                     Flow flow,
                     RuleRegistrySet registrySet,
                     FlowDef flowDef,
                     FlowElementGraph flowElementGraph)

  - ### Method Detail

    - #### getFlowLogger

          protected ProcessLogger getFlowLogger()

    - #### getPlanComparator

          protected java.util.Comparator<RuleResult> getPlanComparator()

    - #### getOrderComparator

          protected java.util.Comparator<RuleResult> getOrderComparator()

    - #### exec

          public RuleResult exec()

    - #### execPlannerFor

          protected RuleResult execPlannerFor(RuleRegistry ruleRegistry)

    - #### submitCallables

          protected java.util.Set<java.util.concurrent.Future<RuleResult>> submitCallables(java.util.List<java.util.concurrent.Callable<RuleResult>> callables)

    - #### createCallables

          protected java.util.List<java.util.concurrent.Callable<RuleResult>> createCallables()

    - #### createCallable

          protected java.util.concurrent.Callable<RuleResult> createCallable(RuleRegistry ruleRegistry)

    - #### binResult

          protected boolean binResult(RuleResult ruleResult)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.